#mini-cart {
  width: 320px;
  right: 0;
  display: none;
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 999;
  background-color: var(--white);
  max-height: 100%;
  height: 100%;
  top: 0;
}

#mini-cart.active {
  top: 0;
  display: block;
  position: fixed;
  box-shadow: -5px 5px 5px 0 rgba(0, 0, 0, 0.15);
}

#mini-cart .h1 {
  padding: 0;
  text-align: center;
  font-size: 22px;
  line-height: 35px;
}

#mini-cart .item-count {
  color: #707070;
  font-size: 24px;
  font-style: normal;
  font-weight: 700;
  line-height: 24px;
}

#mini-cart .cart-item {
  margin: 30px auto 0 auto;
  border-bottom: 1px solid #E1E1E3;
  width: 100%;
  gap: 10px;
  padding-bottom: 12px;
}

#mini-cart .price {
  color: var(--secondary);
  font-size: 33.68px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 0;
  width: 100%;
  text-align: right;
  padding-right: 3px;
}

#mini-cart .price sup,
#mini-cart .price span {
  color: var(--secondary);
  font-size: 20.382px;
  font-style: normal;
  font-weight: 700;
  line-height: 0;
  position: relative;
}

#mini-cart .price sup {
  top: -15px;
}

#mini-cart .price span {
  font-weight: 500;
  top: 15px;
  font-size: 12px;
  left: 2px;
}

#mini-cart .bottom .price {
  color: var(--white);
  text-align: center;
  font-size: 40.398px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-top: 14px;
}

#mini-cart .bottom .price sup,
#mini-cart .bottom .price span {
  color: var(--white);
  font-size: 21.909px;
  font-style: normal;
  font-weight: 700;
  line-height: 0;
  position: relative;
}

#mini-cart .bottom .price sup {
  top: -15px;
}

#mini-cart .bottom .price span {
  font-weight: 500;
  font-size: 14px;
  top: 15px;
}


#mini-cart .bottom {
  background-color: var(--secondary);
  padding: 33px 15px 35px 15px;
  margin-top: 0;
}

#mini-cart .bottom strong {
  color: var(--white);
  text-align: center;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

#mini-cart .bottom small {
  color: var(--white);
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

#mini-cart button.close {
  position: absolute;
  width: 26px;
  height: 26px;
  padding: 0;
  border: none;
  background: transparent;
  font-size: 0;
  cursor: pointer;
  right: 10px;
  top: 20px;
}

#mini-cart button.close::before,
#mini-cart button.close::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 18px;
  height: 1px;
  background: currentColor;
}

#mini-cart button.close::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

#mini-cart button.close::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

#mini-cart .button {
  height: 41px;
  line-height: 41px;
  font-size: 15px;
}

#mini-cart .empty-cart {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 262px;
}

#mini-cart .empty-cart span.h1 {
  color: #707070;
  font-size: 24px;
  font-style: normal;
  font-weight: 700;
  line-height: 24px;
  margin-bottom: 20px;
}

#mini-cart .empty-cart a.button {
  width: 250.488px;
  height: 46.328px;
  border-radius: 34.55px;
  background: var(--secondary);
  color: var(--white);
  text-align: center;
  font-size: 18.703px;
  font-style: normal;
  font-weight: 500;
  line-height: 31.409px;
}

#mini-cart .mbtm {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 24px;
}

#mini-cart .pdetails {
  max-width: 67%;
  width: 100%;
}

#mini-cart .pdetails > a {
  width: 100%;
}

#mini-cart .product-name {
  color: var(--gray-950);
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-align: left;
  margin-bottom: 10px;
}

#mini-cart .cart-item-img {
  width: 55px;
  height: 46px;
  overflow: hidden;
}

#mini-cart .cart-item-img img {
  width: 100%;
  height: auto;
}

#mini-cart .remove {
  color: var(--secondary);
  text-align: right;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}

#mini-cart .amount-btns {
  border-radius: 34.646px;
  border: 0.693px solid var(--secondary);
  background: var(--white);
  width: 88px;
  height: 27.717px;
}

#mini-cart .decrease,
#mini-cart .increase {
  color: var(--secondary);
  text-align: center;
  font-size: 15.165px;
  font-style: normal;
  font-weight: 500;
  line-height: 1;
}

#mini-cart .decrease {
  padding-right: 10px;
}

#mini-cart .increase {
  padding-left: 10px;
}

#mini-cart .number-count {
  color: var(--secondary);
  text-align: center;
  font-size: 13.165px;
  font-style: normal;
  font-weight: 700;
  line-height: 1;
  padding: 0 10px;
  border-left: 1px solid #E1E1E3;
  border-right: 1px solid #E1E1E3;
}

#mini-cart .bottom-commands {
  gap: 32px;
}

#mini-cart .bottom .button {
  width: 250.488px;
  height: 46.328px;
  border-radius: 34.55px;
  background: var(--white);
  color: var(--secondary);
  text-align: center;
  font-size: 18.703px;
  font-style: normal;
  font-weight: 500;
  line-height: 31.409px;
}

#mini-cart .three-buttons {
  gap: 17px;
  margin-top: 18px;
}

#mini-cart .top {
  margin-top: 90px;
  width: 100%;
}

#mini-cart .mini-cart-inner {
  gap: 40px;
}

/* Safari Only */
@supports (background: -webkit-named-image(i)) {
  #mini-cart .increase {
    padding-bottom: 3px;
  }
}


@media screen and (max-width: 480px) {
  #mini-cart {
    width: 100%;
    right: 0;
    top: 108px;
  }

  #mini-cart .h1 {
    font-size: 30px;
  }

  #mini-cart button.close {
    font-size: 30px;
    padding: 10px 10px 0 0;
    right: 15px;
    top: 15px;
  }

  #mini-cart .product-name {
    font-size: 17.631px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 16px;
  }

  #mini-cart .item-count {
    font-size: 30.225px;
    font-style: normal;
    font-weight: 700;
    line-height: 30.225px;
    margin-bottom: 10px;
  }

  #mini-cart .cart-item-img {
    width: 69.266px;
    height: 57.931px;
  }

  #mini-cart .top {
    margin-top: 67px;
  }

  #mini-cart .bottom {
    height: 100%;
    justify-content: flex-start;
  }

  #mini-cart .mini-cart-inner {
    gap: 0;
    justify-content: flex-start;
  }

  #mini-cart .price {
    font-size: 37.378px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    width: auto;
  }

  #mini-cart .remove {
    font-size: 15.112px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  #mini-cart .mbtm {
    flex-direction: row-reverse;
    margin-bottom: 10px;
  }

  #mini-cart .cart-item {
    gap: 15px;
    padding-bottom: 30px;
  }

  #mini-cart .amount-btns {
    width: 110.825px;
    height: 34.906px;
    border-radius: 43.632px;
    border: 0.873px solid var(--secondary);
    background: var(--white);
  }

  #mini-cart .number-count {
    font-size: 16.58px;
    font-style: normal;
    font-weight: 700;
    line-height: 1;
    padding-top: 1px;
  }

  #mini-cart .decrease,
  #mini-cart .increase {
    font-size: 26.165px;
    font-weight: 400;
    line-height: 0;
  }

  #mini-cart .decrease {
    padding-bottom: 1px;
  }

  #mini-cart .bottom strong {
    font-size: 15.112px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
  }

  #mini-cart .bottom small {
    font-size: 15.112px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  #mini-cart .bottom .price {
    font-size: 50.876px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
  }

  #mini-cart .three-buttons {
    gap: 21px;
    margin-top: 22px;
  }

  #mini-cart .bottom .button {
    width: 315.458px;
    height: 58.345px;
    border-radius: 43.511px;
    font-size: 23.555px;
    font-style: normal;
    font-weight: 500;
    line-height: 39.556px;
  }

  #mini-cart button.close::before,
  #mini-cart button.close::after {
    width: 27px;
    height: 2px;
  }
}
